org.richfaces.component

## Class UIAjaxLog

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractAjaxLog
      - - org.richfaces.component.UIAjaxLog

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, StyleClassProps, StyleProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIAjaxLog
      extends AbstractAjaxLog
      implements StyleClassProps, StyleProps

  The <a4j:log> component generates JavaScript that opens a debug window, logging application information such as requests, responses, and DOM changes.

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIAjaxLog.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIAjaxLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `String` | `getHotkey()` Key to open (in combination with Ctrl+Shift) the popup window.
    `String` | `getLevel()` Sets the logging level, can be one of 'debug', 'info' (default), 'warn', 'error'.
    `LogMode` | `getMode()` Determines how the log appears on the page, can be one of: "inline" (default), "popup" or "console".
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `void` | `setHotkey(String hotkey)`
    `void` | `setLevel(String level)`
    `void` | `setMode(LogMode mode)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIAjaxLog

          public UIAjaxLog()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getHotkey

          public String getHotkey()

      Description copied from class: `AbstractAjaxLog`
      Key to open (in combination with Ctrl+Shift) the popup window. Default value is "L"
      Specified by:
        `getHotkey` in class `AbstractAjaxLog`

    - #### setHotkey

          public void setHotkey(String hotkey)

    - #### getLevel

          public String getLevel()

      Description copied from class: `AbstractAjaxLog`
      Sets the logging level, can be one of 'debug', 'info' (default), 'warn', 'error'.
      Specified by:
        `getLevel` in class `AbstractAjaxLog`

    - #### setLevel

          public void setLevel(String level)

    - #### getMode

          public LogMode getMode()

      Description copied from class: `AbstractAjaxLog`
      Determines how the log appears on the page, can be one of: "inline" (default), "popup" or "console". When set to "popup", the popup window is opened by pressing the key combination Ctrl + Shift + L. "console" mode will log messages in the JavaScript console.
      Specified by:
        `getMode` in class `AbstractAjaxLog`

    - #### setMode

          public void setMode(LogMode mode)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `StyleProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `StyleProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.